IF OBJECT_ID('EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR') IS NULL
BEGIN
	CREATE TABLE EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR (
		CD_EMP INT NOT NULL,
		CD_FILIAL INT NOT NULL,
		CD_PED_SOL INT NOT NULL,
		CD_PROD INT NOT NULL,
		QT_SOL MONEY NOT NULL,
		QTDE_ARREDOND MONEY NOT NULL,
		QT_SOL_ARREDOND MONEY NOT NULL,
		QT_EST MONEY NOT NULL,
		QT_EST_ATU MONEY NOT NULL,
		ORDEM INT NOT NULL,
		CD_USU INT NOT NULL,
		DT_REGISTRO DATETIME NOT NULL)

END

IF NOT EXISTS (SELECT * FROM SYS.FOREIGN_KEYS WHERE NAME = 'FK_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_EST_PROD') 
BEGIN
	ALTER TABLE EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR ADD CONSTRAINT FK_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_EST_PROD FOREIGN KEY (CD_EMP, CD_PROD) REFERENCES EST_PROD (CD_EMP, CD_PROD)
END

IF NOT EXISTS (SELECT * FROM SYS.FOREIGN_KEYS WHERE NAME = 'FK_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_PRC_FILIAL') 
BEGIN
	ALTER TABLE EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR ADD CONSTRAINT FK_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_PRC_FILIAL FOREIGN KEY (CD_EMP, CD_FILIAL) REFERENCES PRC_FILIAL (CD_EMP, CD_FILIAL)
END

IF NOT EXISTS (SELECT * FROM SYS.FOREIGN_KEYS WHERE NAME = 'FK_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_GLB_USU') 
BEGIN
	ALTER TABLE EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR ADD CONSTRAINT FK_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_GLB_USU FOREIGN KEY (CD_USU) REFERENCES GLB_USU (CD_USU)
END

IF NOT EXISTS (SELECT * FROM SYS.DEFAULT_CONSTRAINTS WHERE NAME = 'DF_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_DT_REGISTRO') 
BEGIN
	ALTER TABLE EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR ADD CONSTRAINT DF_EST_ARV_GRP_RESSUPRIMENTO_ARREDONDAMENTO_EST_PED_ELTR_DT_REGISTRO DEFAULT GETDATE() FOR DT_REGISTRO
END
